List Meetings
/unified/conversational-intelligence/meetings
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Start time of the meeting in ISO 8601 format
3 supported1 required
1 supported
End time of the meeting in ISO 8601 format
3 supported
List of attendees
1 supported
The unique identifier for an attendee
The unique identifier for a user.
1 supported
1 supported
Filter notes by when they were last updated. Accepts an ISO 8601 string or an object with gte/gt. Granola treats the bound as strictly after.
1 supported
Filter notes by when they were created. Accepts an ISO 8601 string or an object with gte/gt and lte/lt.
1 supported
Return notes in this folder and any of its child folders.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Meetings
The unique identifier for a meeting
6 supported
List of attendees
5 supported
9 properties
Whether the attendee is internal (company) or external. Populated by detailed call analysis.
Email of the attendee
The unique identifier for an attendee
Whether the attendee is the host of the meeting
Name of the attendee
Phone number of the attendee
Total time the attendee spoke, in seconds. Populated by detailed call analysis.
Job title of the attendee
Type of the attendee. Can be either user or guest.
URL of the audio recording of the meeting
4 supported
The unique identifier of the meeting in Google or Outlook Calendar
2 supported
Public comments left on the meeting. Populated by detailed call analysis.
8 properties
The user who wrote the comment
1 property
The unique identifier for a user
Seconds from the start of the meeting the comment's reference ends
The unique identifier for the comment
The identifier of the comment this is a reply to, if any
Whether the comment was written during the call, as opposed to after
When the comment was posted
Seconds from the start of the meeting the comment refers to
The comment text
Creation time of the meeting
5 supported
The direction of the call (e.g. Inbound, Outbound, Conference)
1 supported
Duration of the meeting in seconds
5 supported
End time of the meeting in ISO 8601 format
2 supported
The identifier assigned by the source system for this meeting record.
Highlighted moments and action items/next steps detected in the meeting. Populated by detailed call analysis.
4 properties
Seconds from the start of the meeting the snippet ends
The unique identifier of the speaker for this highlight
Seconds from the start of the meeting the snippet starts
The highlighted snippet
The user who hosted the meeting
1 supported
1 property
The unique identifier for a user
Call-level interaction statistics (e.g. Longest Monologue, Interactivity, Patience). Populated by detailed call analysis.
2 properties
The name of the metric
The value of the metric
Whether the meeting/call is marked private. Private meetings should typically be excluded from detailed content and transcript retrieval.
1 supported
The language spoken in the meeting, as an ISO 639-2B code (e.g. eng, fre, spa)
1 supported
URL of the meeting
2 supported
Number of questions asked during the meeting, broken down by speaker affiliation. Populated by detailed call analysis.
2 properties
Number of questions asked by non-company speakers
Number of questions asked by company speakers
Raw data returned from the remote API call.
Whether the meeting was internal-only or included external participants
internalexternalunknown
1 supported
The persistent meeting room/space this meeting instance belongs to, where the provider supports recurring meeting spaces.
1 property
The unique identifier for the meeting space.
Start time of the meeting in ISO 8601 format
3 supported
Status of the meeting
3 supported
Title of the meeting
6 supported
Time spent on each topic discussed in the meeting. Populated by detailed call analysis.
2 properties
Time spent on this topic, in seconds
The name of the topic
List of topics discussed in the meeting
2 supported
Tracked keywords/phrases and how often and when they occurred. Populated by detailed call analysis.
5 properties
The number of times the tracker's terms occurred in the meeting
The unique identifier for the tracker
The name of the tracker
Timing and speaker for each occurrence of the tracker
2 properties
The unique identifier of the speaker who said the term
Seconds from the start of the meeting when the term was said
The tracker type, e.g. keyword or smart
List of sentences in the transcript of the meeting
3 supported
7 properties
The end of the sentence in the number of seconds from the start of the meeting
The raw text of the sentence
The unique identifier for a speaker
The speaker of the sentence
The type of the speaker. Can be either user or guest.
The start of the sentence in the number of seconds from the start of the meeting
The text of the sentence
Type of the meeting
6 supported
Last updated time of the meeting
3 supported
URL of the video recording of the meeting
3 supported
Time spent on each video segment type (e.g. presentation, webcam). Populated by detailed call analysis.
2 properties
Total duration of this segment type, in seconds
The video segment type, e.g. Presentation, Webcam
The workspace the meeting belongs to
1 supported
1 property
The unique identifier for a workspace
truto unified conversational-intelligence meetings \
-a '<integrated_account_id>' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'conversational-intelligence',
'meetings',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"conversational-intelligence",
"meetings",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())curl -X GET 'https://api.truto.one/unified/conversational-intelligence/meetings?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/meetings?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/conversational-intelligence/meetings"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())